Eclipse Platform Release 3.7

## org.eclipse.swt.accessibility
Class AccessibleTableCellEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.accessibility.AccessibleTableCellEvent

All Implemented Interfaces:
  Serializable

    public class AccessibleTableCellEvent

extends org.eclipse.swt.internal.SWTEventObject

Instances of this class are sent as a result of accessibility clients sending AccessibleTableCell messages to an accessible object.

Since:
  3.6
See Also:
  `AccessibleTableCellListener`, `AccessibleTableCellAdapter`, Serialized Form

Field Summary
`Accessible` `accessible`
`Accessible[]` `accessibles`
`int` `count`
`int` `index`
`boolean` `isSelected`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AccessibleTableCellEvent(Object source)` Constructs a new instance of this class.

Method Summary
`String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### accessible

    public Accessible accessible

### accessibles

    public Accessible[] accessibles

### isSelected

    public boolean isSelected

### count

    public int count

### index

    public int index

Constructor Detail

### AccessibleTableCellEvent

    public AccessibleTableCellEvent(Object source)

  Constructs a new instance of this class.

  Parameters:
    `source` - the object that fired the event

Method Detail

### toString

    public String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `EventObject`
  Returns:
    a string representation of the event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.